projection

## Public Member Functions

Float | operator() (const Float &x) const
| projection (Float a1, Float n=1, Float c=1, Float r=0)

## Public Attributes

Float | a
phi | _phi

## Detailed Description

Examples
  projection.h, yield_slip1.icc, yield_slip_augmented_lagrangian.icc, and yield_slip_residue.cc.

Definition at line 27 of file projection.h.

## Constructor & Destructor Documentation

## projection()

projection | ( | Float | a1,
|  | Float | n = `1`,
|  | Float | c = `1`,
|  | Float | r = `0`
| ) |  |

Examples
  projection.h.

Definition at line 32 of file projection.h.

## Member Function Documentation

## operator()()

Float operator() | ( | const Float & | x | ) | const

Examples
  projection.h.

Definition at line 28 of file projection.h.

## Member Data Documentation

## a

Float a

Examples
  projection.h.

Definition at line 34 of file projection.h.

## _phi

phi _phi

Examples
  projection.h.

Definition at line 35 of file projection.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/projection.h